{{ define "header_css" }}

  {{ $currentNode := . }}
  {{ with .Params.styling }}
    {{ $styling := ".scss" | printf "%s%s" . | printf "%s%s" "scss/" | printf "%s" }}
    {{ $stylingPath := ".css" | printf "%s%s" . | printf "%s%s" "css/" | printf "%s" }}
    {{ if $currentNode.Site.IsServer }}
      {{ $style := resources.Get $styling | toCSS (dict "targetPath" $stylingPath "enableSourceMap" true) }}
      <link rel="stylesheet" href="{{ ($style).RelPermalink }}">
    {{ else }}
      {{ $style := resources.Get $styling | toCSS (dict "targetPath" $stylingPath "enableSourceMap" false) }}
      <link rel="stylesheet" href="{{ ($style | minify | fingerprint).RelPermalink }}">
    {{ end }}
  {{ end }}
{{ end }}



{{ define "body_classes" }}page-default-single{{ end }}
{{ define "header_classes" }}{{ end }}

{{ define "main" }}
<h1 class="title">{{.Title}}</h1>
<div class="content {{if .Site.Params.enable_anchor_link}}{{ "anchor-link-enabled" }}{{ end }}">
{{.Content}}


{{ $currentPage := . }}
{{ if eq $currentPage.Section "" }}
{{ $currentPage = .Site.GetPage .Site.Params.default_version }}
{{ end }}


{{ range ( index $.Site.Data $currentPage.Section ).downloads.sections }}

  <div class="float-clear card border-primary mt-2">
    <div class="card-header bg-primary text-white border-primary">
      {{.title}}
    </div>

    <div class="card-body">
      <div class="card-text">
        {{ .description | markdownify }}
      </div>

      <div class="card-text">
      {{ if .primary_files }}
        {{ range .primary_files }}
          <div class="d-flex justify-content-between">
            <a href="{{.href}}">{{.label}}</a><span>[{{.size}}]</span>
          </div>
        {{end}}
      {{end}}
      {{ if .auxiliary_files }}
          <details class="mt-1"><summary>Auxiliary Files</summary>
        {{ range .auxiliary_files }}
          <div class="d-flex justify-content-between">
            <a href="{{.href}}">{{.label}}</a><span>[{{.size}}]</span>
          </div>
        {{end}}
          </details>
      {{end}}
      </div>
    </div>
  </div>
{{ end }}
</div>
{{ end }}
